BEEM - Android XMPP - Bug #229

Bug creation compte derriere un proxy
12/17/2009 05:35 PM - Jean-Baptiste Vergely

Status: Closed Start date: 12/17/2009
Priority: Normal Due date:

Assignee: Frédéric Barthéléry % Done: 100%
Category: User Interface Estimated time: 0.00 hour
Target version: 0.1

Affected version: Locale:

Description

L'application plante quand j'essaye de créer un compte Jabber a I'école.
Log:

12-17 16:31:59.880: ERROR/AndroidRuntime(751): Uncaught handler: thread main exiting due to uncaught exception
12-17 16:31:59.910: ERROR/AndroidRuntime(751): java.lang.ClassCastException: java.lang.String
12-17 16:31:59.910: ERROR/AndroidRuntime(751):  at
android.app.ApplicationContext$SharedPreferencesimpl.getint(ApplicationContext.java:2603)
12-17 16:31:59.910: ERROR/AndroidRuntime(751):  at
com.beem.project.boeem.ui.CreateAccount.getRegisteredProxyType(CreateAccount.java:197)
12-17 16:31:59.910: ERROR/AndroidRuntime(751):  at
com.beem.project.beem.ui.CreateAccount.getRegisteredProxy(CreateAccount.java:160)
12-17 16:31:59.910: ERROR/AndroidRuntime(751):  at
com.beem.project.beem.ui.CreateAccount.createAccount(CreateAccount.java:112)
12-17 16:31:59.910: ERROR/AndroidRuntime(751):  at
com.beem.project.oeem.ui.CreateAccount.access$3(CreateAccount.java:108)
12-17 16:31:59.910: ERROR/AndroidRuntime(751):  at
com.beem.project.oeem.ui.CreateAccount$2.onClick(CreateAccount.java:301)
12-17 16:31:59.910: ERROR/AndroidRuntime(751):  at android.view.View.performClick(View.java:2344)
12-17 16:31:59.910: ERROR/AndroidRuntime(751):  at android.view.View.onTouchEvent(View.java:4133)
12-17 16:31:59.910: ERROR/AndroidRuntime(751):  at android.widget.TextView.onTouchEvent(TextView.java:6504)
12-17 16:31:59.910: ERROR/AndroidRuntime(751):  at android.view.View.dispatchTouchEvent(View.java:3672)
12-17 16:31:59.910: ERROR/AndroidRuntime(751):  at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:882)
12-17 16:31:59.910: ERROR/AndroidRuntime(751):  at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:882)
12-17 16:31:59.910: ERROR/AndroidRuntime(751):  at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:882)
12-17 16:31:59.910: ERROR/AndroidRuntime(751):  at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:882)
12-17 16:31:59.910: ERROR/AndroidRuntime(751):  at android.view.ViewGroup.dispatchTouchEvent )
12-17 16:31:59.910: ERROR/AndroidRuntime(751):  at
com.android.internal.policy.impl.PhoneWindow$DecorView.superDispatchTouchEvent(PhoneWindow.java:1712)
12-17 16:31:59.910: ERROR/AndroidRuntime(751):  at
com.android.internal.policy.impl.PhoneWindow.superDispatchTouchEvent(PhoneWindow.java:1202)
12-17 16:31:59.910: ERROR/AndroidRuntime(751):  at android.app.Activity.dispatchTouchEvent(Activity.java:1987)
12-17 16:31:59.910: ERROR/AndroidRuntime(751):  at
com.android.internal.policy.impl.PhoneWindow$DecorView.dispatchTouchEvent(PhoneWindow.java:1696)
12-17 16:31:59.910: ERROR/AndroidRuntime(751):  at android.view.ViewRoot.handleMessage(ViewRoot.java:1658)
12-17 16:31:59.910: ERROR/AndroidRuntime(751):  at android.os.Handler.dispatchMessage(Handler.java:99)
12-17 16:31:59.910: ERROR/AndroidRuntime(751):  at android.os.Looper.loop(Looper.java:123)
12-17 16:31:59.910: ERROR/AndroidRuntime(751):  at android.app.ActivityThread.main(ActivityThread.java:4203)
ViewGroup.java:882

12-17 16:31:59.910: ERROR/AndroidRuntime(751):  at java.lang.reflect.Method.invokeNative(Native Method)

12-17 16:31:59.910: ERROR/AndroidRuntime(751):  at java.lang.reflect.Method.invoke(Method.java:521)

12-17 16:31:59.910: ERROR/AndroidRuntime(751):  at
com.android.internal.os.Zygotelnit$MethodAndArgsCaller.run(Zygotelnit.java:791)

12-17 16:31:59.910: ERROR/AndroidRuntime(751):  at com.android.internal.os.Zygotelnit.main(Zygotelnit.java:549)
12-17 16:31:59.910: ERROR/AndroidRuntime(751):  at dalvik.system.NativeStart.main(Native Method)

Associated revisions

Revision 591:ba5ce70f1024 - 12/21/2009 09:04 PM - Frédéric Barthéléry
Fixes bug #229

04/30/2025 12




Revision 591:ba5ce70f1024 - 12/21/2009 09:04 PM - Da Risk
Fixes bug #229

Revision 591:ba5ce70f1024 - 12/21/2009 09:04 PM - Da Risk
Fixes bug #229

History

#1 - 12/23/2009 02:18 AM - Nikita Kozlov
- Category set to User Interface

- Status changed from New to Resolved

- Assignee set to Frédéric Barthéléry

- Target version set to 0.1

Resolved ?
If not, remember to check that the emulator isn't configured with a proxy, otherwise it will try to send the socks connection to the http proxy.

#2 - 12/23/2009 02:18 AM - Nikita Kozlov
- % Done changed from 0 to 100

#3 - 01/08/2010 11:24 AM - Frédéric Barthéléry

- Status changed from Resolved to Closed
